package minmax;

import static org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;

public class MinMaxMemoryTest {
	private MinMaxMemory memory;

	@Before
	public void setUp() throws Exception {
		memory = new MinMaxMemory();
		memory.remember("333");
		memory.remember("55555");
	}
	
	@Test(expected=IllegalArgumentException.class)
	public void testRememberNull() {
	    memory.remember(null);
	}

	@Test
	public void testOrderSmall() {
		memory.remember("1");
		assertEquals(1,memory.getMinLength());
		assertEquals(5,memory.getMaxLength());
	}

	@Test
	public void testOrderMiddle() {
		memory.remember("4444");
		assertEquals(3,memory.getMinLength());
		assertEquals(5,memory.getMaxLength());
	}

	@Test
	public void testOrderLarge() {
		memory.remember("7777777");
		assertEquals(3,memory.getMinLength());
		assertEquals(7,memory.getMaxLength());
	}
}
